> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get destination spec

> Get a destination spec by name



## OpenAPI

````yaml get /v2/destinationspecs/{name}
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/destinationspecs/{name}:
    parameters:
      - $ref: '#/components/parameters/name'
    get:
      tags:
        - Destination Specs
      summary: Get destination spec
      description: Get a destination spec by name
      operationId: getDestinationSpec
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/DestinationSpec'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  parameters:
    name:
      name: name
      in: path
      description: Name
      required: true
      schema:
        type: string
  schemas:
    DestinationSpec:
      allOf:
        - $ref: '#/components/schemas/DestinationSpecSummary'
        - type: object
          properties:
            instructions:
              type: string
              readOnly: true
              x-go-type-skip-optional-pointer: true
              x-order: 6
            propertyDefinitions:
              type: array
              items:
                $ref: '#/components/schemas/PropertyDefinition'
              readOnly: true
              x-go-type-skip-optional-pointer: true
              x-go-type: '[]*native.PropDef'
              x-order: 7
    DestinationSpecSummary:
      type: object
      properties:
        name:
          type: string
          description: The name of the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 1
        displayName:
          type: string
          description: A human-readable name for the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 2
        website:
          type: string
          description: The website of the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 3
        tagLine:
          type: string
          description: A one line description of the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 4
        lifecycle:
          type: string
          enum:
            - ALPHA
            - BETA
            - STABLE
            - DEPRECATED
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 5
    PropertyDefinition:
      type: object
      required:
        - name
        - type
        - required
      x-go-type-import:
        path: github.com/portable-io/portable/model/native
      x-go-type: native.PropDef
      properties:
        name:
          type: string
          description: A machine-readable name for the property
          x-order: 1
        displayName:
          type: string
          description: A human-readable name for the property
          x-go-type-skip-optional-pointer: true
          x-order: 2
        type:
          type: string
          description: The type of the property
          x-order: 3
          enum:
            - STRING
            - PASSWORD
            - TEXT
            - NUMBER
            - BOOLEAN
            - DATE
            - DATETIME
            - TIME
        required:
          type: boolean
          description: Whether the property's value is required
          x-order: 4
        description:
          type: string
          description: A human-readable description of the property
          x-go-type-skip-optional-pointer: true
          x-order: 5
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````